org.apache.ignite.internal.pagemem.wal.record

## Class StoreOperationRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.StoreOperationRecord

    public class StoreOperationRecord
    extends WALRecord

### Nested Class Summary

Nested Classes
`static class` `StoreOperationRecord.StoreOperationType` Store operation type.

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`StoreOperationRecord()`

### Method Summary

Methods
`int` `cacheId()`
`void` `cacheId(int cacheId)`
`int` `indexId()`
`void` `indexId(int idxId)`
`long` `link()`
`void` `link(long link)`
`StoreOperationRecord.StoreOperationType` `operationType()`
`void` `operationType(StoreOperationRecord.StoreOperationType opType)`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoreOperationRecord

    public StoreOperationRecord()

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### link

    public long link()

Returns:
  Link to data.

#### indexId

    public int indexId()

Returns:
  Index ID.

#### operationType

    public StoreOperationRecord.StoreOperationType operationType()

Returns:
  Operation type.

#### operationType

    public void operationType(StoreOperationRecord.StoreOperationType opType)

Parameters:
  `opType` - Operation type.

#### cacheId

    public void cacheId(int cacheId)

Parameters:
  `cacheId` - Cache ID.

#### link

    public void link(long link)

Parameters:
  `link` - Link.

#### indexId

    public void indexId(int idxId)

Parameters:
  `idxId` - Index ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017